Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class LocalConnector

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.AbstractBuffers
              org.mortbay.jetty.AbstractConnector
                  org.mortbay.jetty.LocalConnector

All Implemented Interfaces:
  LifeCycle, Buffers, Connector

    public class LocalConnector

extends AbstractConnector

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.AbstractBuffers
`AbstractBuffers.ThreadBuffers`

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.jetty.AbstractConnector
`_lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`LocalConnector()`

Method Summary
`protected void` | `accept(int acceptorID)`
`void` | `clear()`
`void` | `close()`
`void` | `doStart()`
`java.lang.Object` | `getConnection()`
`int` | `getLocalPort()`
`ByteArrayBuffer` | `getResponses(ByteArrayBuffer buf, boolean keepOpen)`
`java.lang.String` | `getResponses(java.lang.String requests)`
`java.lang.String` | `getResponses(java.lang.String requests, boolean keepOpen)`
`protected Buffer` | `newBuffer(int size)`
`void` | `open()` Opens the connector
`void` | `reopen()`
`void` | `setServer(Server server)`

Methods inherited from class org.mortbay.jetty.AbstractConnector
`checkForwardedHeaders, configure, connectionClosed, connectionOpened, customize, doStop, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationAve, getConnectionsDurationMax, getConnectionsDurationMin, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsOpenMin, getConnectionsRequestsAve, getConnectionsRequestsMax, getConnectionsRequestsMin, getForwardedForHeader, getForwardedHostHeader, getForwardedServerHeader, getHost, getHostHeader, getIntegralPort, getIntegralScheme, getLeftMostValue, getLowResourceMaxIdleTime, getMaxIdleTime, getName, getPort, getRequests, getResolveNames, getReuseAddress, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isConfidential, isForwarded, isIntegral, join, newContinuation, persist, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setForwarded, setForwardedForHeader, setForwardedHostHeader, setForwardedServerHeader, setHost, setHostHeader, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setMaxIdleTime, setName, setPort, setResolveNames, setReuseAddress, setSoLingerTime, setStatsOn, setThreadPool, statsReset, stopAccept, toString`

Methods inherited from class org.mortbay.jetty.AbstractBuffers
`getBuffer, getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, returnBuffer, setHeaderBufferSize, setRequestBufferSize, setResponseBufferSize`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.Connector
`getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, setHeaderBufferSize, setRequestBufferSize, setResponseBufferSize`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from interface org.mortbay.io.Buffers
`getBuffer, returnBuffer`

Constructor Detail

### LocalConnector

    public LocalConnector()

Method Detail

### getConnection

    public java.lang.Object getConnection()

  Returns:
    the underlying socket, channel, buffer etc. for the connector.

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Connector`
  Overrides:
    `setServer` in class `AbstractConnector`

### clear

    public void clear()

### reopen

    public void reopen()

### doStart

    public void doStart()
                 throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractConnector`
  Throws:
    `java.lang.Exception`

### getResponses

    public java.lang.String getResponses(java.lang.String requests)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getResponses

    public java.lang.String getResponses(java.lang.String requests,
                                         boolean keepOpen)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getResponses

    public ByteArrayBuffer getResponses(ByteArrayBuffer buf,
                                        boolean keepOpen)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### newBuffer

    protected Buffer newBuffer(int size)

  Specified by:
    `newBuffer` in class `AbstractBuffers`

### accept

    protected void accept(int acceptorID)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Specified by:
    `accept` in class `AbstractConnector`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### open

    public void open()
              throws java.io.IOException

  Description copied from interface: `Connector`
  Opens the connector

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLocalPort

    public int getLocalPort()

  Returns:
    The actual port the connector is listening on or -1 if there is no port or the connector is not open.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.